
package de.ivu.elect.business.benutzerverwaltung.entity;

/**
 *  on 15.05.2015.
 */
public enum BenutzerEinstellungenMessageStickiness {
  STICKY {

    @Override
    public boolean isSticky() {
      return true;
    }

    @Override
    public int getTimeoutInMs() {
      return Integer.MAX_VALUE;
    }
  },
  NON_STICKY_2 {

    @Override
    public boolean isSticky() {
      return false;
    }

    @Override
    public int getTimeoutInMs() {
      return 2000;
    }
  },
  NON_STICKY_5 {

    @Override
    public boolean isSticky() {
      return false;
    }

    @Override
    public int getTimeoutInMs() {
      return 5000;
    }
  },
  NON_STICKY_10 {

    @Override
    public boolean isSticky() {
      return false;
    }

    @Override
    public int getTimeoutInMs() {
      return 10000;
    }
  },
  NON_STICKY_20 {

    @Override
    public boolean isSticky() {
      return false;
    }

    @Override
    public int getTimeoutInMs() {
      return 20000;
    }
  };

  private BenutzerEinstellungenMessageStickiness() {
  }

  public abstract boolean isSticky();

  public abstract int getTimeoutInMs();
}
